<?xml version="1.0" encoding="UTF-8"?>
<!--
   Copyright 2010 Anyware Services

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
   -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                              xmlns:i18n="http://apache.org/cocoon/i18n/2.1"
                              xmlns:docbook="http://docbook.org/ns/docbook"
                              xmlns:text="http://ametys.org/text/3.0" 
                              xmlns:resolver="org.ametys.cms.transformation.xslt.ResolveURIComponent"
                              exclude-result-prefixes="docbook"
                              extension-element-prefixes="text resolver">

	<xsl:import href="udorgunit.xsl"/>
	
    <!-- Used in common.xsl -->
    <xsl:variable name="common-content-css-class-name">udorgunit view-abstract</xsl:variable>     
    
    <!-- +
         | BODY
         + -->
    <!-- Used in common.xsl --> 
    <xsl:template name="common-content-body-content">
        <!-- Abstract -->
        <xsl:call-template name="common-content-body-simpletext">
            <xsl:with-param name="css-class-name">content-abstract</xsl:with-param>
            <xsl:with-param name="text" select="metadata/abstract" />
            <xsl:with-param name="defaultText" select="metadata/content/docbook:article" />
            <xsl:with-param name="maxDefaultTextSize" select="200" />
        </xsl:call-template>
        
        <div class="content-richtext-end"><xsl:comment>empty</xsl:comment></div>
    </xsl:template> 
    
</xsl:stylesheet>
